﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class explode : MonoBehaviour
{
    public GameObject explosion;
    public AudioClip snd1;
    public float sensitivity=3f;
    AudioSource audio;
    MeshRenderer render;
    float passedtime=0;
    bool exploded = false;

    // Start is called before the first frame update
    void Start()
    {
        audio = gameObject.GetComponent<AudioSource>(); //AudioSourceを取得
        render= gameObject.GetComponent<MeshRenderer>();
    }

    // Update is called once per frame
    void Update()
    {
        passedtime += Time.deltaTime;
    }

    private void OnCollisionEnter(Collision collision)
    {
        float i = collision.impulse.magnitude;

        if (i > sensitivity) {
            if (passedtime > 0.2f && !exploded)
            {
                explosion.active = true;
                exploded = true;

                audio.PlayOneShot(snd1);
                //render.enabled = false;

                Destroy(gameObject, 2.5f);
                Destroy(explosion, 2.5f);
            }
        }
        //Debug.Log(i);
    }
}
